Version 3.58.0
==============
- Fix session starting with GNOME 49. (#103)
- Updated translations.

Version 3.56.0
==============
- Use tecla to show keyboard layout. (#101)
- Set window icon for polkit dialog. (!66)
- Fix few crashes. (#99)
- Updated translations.

Version 3.54.0
==============
- Fix use after free in timeout_bubble. (#96)
- Fix polkit crash. (#92)
- Add new D-Bus API for UI scaling.
- Update DisplayConfig D-Bus API.
- Improve screensaver style. (!54)
- Add support for color-scheme setting. (!51, !53)
- Save and restore numlock state. (#62, #93)
- Updated translations.

Version 3.52.1
==============
- Add shadow for desktop icon text. (#89)
- Remove --enable-systemd-session configure option. (#94)
- Updated translations.

Version 3.52.0
==============
- Fix crash in screensaver / unlock dialog. (#79)
- Add Science menu category. (!56)
- Allow configure notification location. (!59)
- Avoid crash on gamma change. (!50)
- Updated translations.

Version 3.50.0
==============
- Updated translations.

Version 3.49.1
==============
- Fix crash in automount manager.
- Move polkit to separate process.
- Updated translations.

Version 3.46.0
==============
- Fix build with with gnome-desktop 43. (#83)
- Port system indicators to gnome-bluetooth 42. (#80)
- Updated translations.

Version 3.45.1
==============
- Adapt to gnome-desktop API changes.
- Move idle monitor to separate process.
- Updated translations.

Version 3.44.0
==============
- Updated translations.

Version 3.43.1
==============
- Changes/fixes to monitor manager from mutter.
- Add media keys manager (to restore screenshot keybindings).
- Updated translations.

Version 3.42.1
==============
- Fix crash in monitor manager. (!41)

Version 3.42.0
==============
- Changes/fixes to monitor manager from mutter.
- Updated translations.

Version 3.40.0
==============
- Fix background drawing when using spanned or wallpaper option. (#66)
- Updated translations.

Version 3.38.0
==============
- Configure systemd session using a drop-in.
- Get session path from logind manager. (#67)
- Updated translations.

Version 3.37.3
==============
- Update lock screen window on monitor changes. (LP:#1891855)
- Don't lock screen on suspend if automatic screen lock
  is disabled. (LP:#1891681)
- Updated translations. (LP:#1882531)

Version 3.37.2
==============
- Fix enum type generation. (#52)

Version 3.37.1
==============
- Add a possibility to permanently delete files from desktop. (#28)
  (Desktop now requires nautilus 3.37.1.1+!)
- Fix screensaver unlock problems. (#46)
- Fix few small memory leaks.
- Fix screenshot saving to clipboard. (#50)
- Active desktop icon rename with F2 key. (LP:#1875703)
- Fix creating new desktop icons. (LP:#1875317)
- Updated translations.

Version 3.36.1
==============
- Disable unimplemented icon placement modes. (#41)
- Fix lock screen button in end session dialog. (#43)
- Exclude Extensions application from menu. (#42)
- Fix visibility of input source button in lock screen. (#45)
- Do no close/destroy desktop window. (gnome-applets#15)
- Fix use after free in System Indicators. (gnome-panel#21)

Version 3.36.0
==============
- Save screenshot to clipboard when filename is empty.
- Show password box on key presses. (#36)
- Fix system indicators localisation. (#39)
- Fix build with gettext 0.20+. (!25)
- Add UsbProtection plugin to required components.
- Disable screen locking without PAM configuration file. (#38)
- Updated translations.

Version 3.35.2
==============
- Add Yaru as supported theme. (#31)
- Screensaver based on gnome-screensaver. (#18)
- Fix crash and memory leaks in notifications module.
- New system indicators applet for gnome-panel.
- Install gnome panel layout for GNOME Flashback session.
- Updated translations.

Version 3.35.1
==============
- Remove desktop-background module.
- Add root-background module, disabled by default.
- Add new desktop module for icons and background. (#7)
- Install compiz configuration. (!16)
- Add support for shift_caps_switch XKB option. (#24)
- Fix shape region for screenshot select area. (#26)
- Fix crash with external monitor. (#25)
- Fix crash in clipboard manager.
- Updated translations.

Version 3.34.1
==============
- Add clipboard manager. (#19)
- Updated translations.

Version 3.34.0
==============
- Require gnome-session-x11-services systemd target.
- Updated translations.

Version 3.33.92
===============
- Fix level bar in OSD window. (#22)
- Fix background when changing resolution. (#23)
- Updated translations:
  Anders Jonsson (sv), Balázs Úr (hu), Daniel Rusek (cs), Serdar Sağlam (tr).

Version 3.33.1
==============
- Remove Clipboard plugin from required components. (#19)
- Remove Mouse plugin from required components. (#20)
- Support startup via systemd user instance. (!17)
- Fix input source status icon flickering. (#16)
- Remove gnome-flashback-init.desktop file.
- Update org.gnome.Shell D-Bus interface.
- Updated translations:
  Asier Sarasua Garmendia (eu), Daniel Mustieles García (es),
  Kukuh Syafaat (id), Piotr Drąg (pl).

Version 3.32.0
==============
- Fix deprecation warnings.
- Fix crash in notifications module when removing monitor.
- Fix crash in shell module when calling UngrabAccelerator with invalid action.
- Remove workarounds module, no longer needed.
- Update org.gnome.Mutter.DisplayConfig D-Bus interface.
- Update org.gnome.Shell D-Bus interface.
- Updated translations:
  Alan Mortensen (da), Anders Jonsson (sv), Balázs Úr (hu),
  Daniel Mustieles (es), Daniel Mustieles García (es), Kukuh Syafaat (id),
  Марко М. Костић (sr), Marek Cernocky (cs), Matej Urbančič (sl),
  Nathan Follens (nl), Rafael Fontenelle (pt_BR), Piotr Drąg (pl).

Version 3.30.0
==============
- Fix build warnings.
- Remove button-layout workaround (replaced with GSettings override file).
- Reintroduce a11y-keyboard plugin. (#6)
- Implement per window input sources. (#5)
- Apply input settings to trackpoint. (#4)
- Assign input source groups in correct order. (#790453)
- Updated translations:
  Anders Jonsson (sv), Mario Blättermann (de), Rafael Fontenelle (pt_BR),
  Piotr Drąg (pl).

Version 3.28.0
==============
- Use symbolic window close icon. (#794234)
- Remove nautilus-classic from required components.
- Remove A11yKeyboard plugin from required components.
- Updated translations:
  Ask Hjorth Larsen (da), Balázs Meskó (hu), Daniel Mustieles (es),
  Dingzhong Chen (zh_CN), Isaac F. Ferreira Filho (pt_BR), Joe Hansen (da),
  Мирослав Николић (sr, sr@latin).

Version 3.26.0
==============
- Don't include selection overlay in screenshot. (#780358)
- Don't exlude any desktop files from menus. (Balló György; #772959)
- Don't disable password entry in polkit dialog. (LP:#1698994)
- Fix missing cursor in CSD window screenshots. (#780394)
- Fix a FIXME about ibus properties in input sources. (#788547)
- Replace old display-config with new/updated monitor manager.
- Imporve HiDPI support in screenshots.
- Updated translations:
  Anders Jonsson (sv), Dušan Kazik (sk), Fabio Tomat (fur), Kukuh Syafaat (id),
  Marek Cernocky (cs), Mario Blättermann (de), Piotr Drąg (pl).

Version 3.24.0
==============
- Ignore invalid inhibitors in end-session-dialog. (Alberts Muktupāvels; #771759)
- Fix few crashes in input-sources. (Alberts Muktupāvels)
- Fix cursor image and position in screenshots. (Alberts Muktupāvels; #780361)
- Updated translations:
  Andika Triwidada (id), Aron Xu (zh_CN), Ask Hjorth Larsen (da),
  Balázs Meskó (hu), Daniel Mustieles (es), Enrico Nicoletto (pt_BR),
  Gianvito Cavasoli (it), Inaki Larranaga Murgoitio (eu), Josef Andersson (sv),
  Marek Černocký (cs), Mario Blättermann (de), Мирослав Николић (sr, sr@latin),
  Piotr Drąg (pl).

Version 3.22.0
==============
- Add input settings, based on mutter. (Alberts Muktupāvels)
- Fix missing cursor in screenshots. (Antonio Ospite; #772133)
- Stop using desktop window. (Alberts Muktupāvels)
- Updated translations:
  Anders Jonsson (sv), Andika Triwidada (id), Balázs Meskó (hu),
  Daniel Mustieles (es), Dušan Kazik (sk), Marek Černocký (cs),
  Mario Blättermann (de), Мирослав Николић (sr, sr@latin), Piotr Drąg (pl),
  Rafael Fontenelle (pt_BR), Wolfgang Stöggl (de).

Version 3.20.1
==============
- desktop-background: use desktop window only when needed. (Alberts Muktupāvels)
- display-config: handle invalid previous configurations. (Rui Matos)
- notifications: fix two regressions. (Alberts Muktupāvels)
- Fix multiple memory leaks. (Alberts Muktupāvels)
- Updated translations:
  Dušan Kazik (sk), Mario Blättermann (de).

Version 3.20.0
==============
- Fix crash in display-config with XRandR 1.2. (Alberts Muktupāvels)
- Implement candidate popup in input-sources. (Sebastian Geiger)
- Set XDG_CURRENT_DESKTOP if not set. (Alberts Muktupāvels)
- Remove support for legacy-dirs. (Alberts Muktupāvels)
- Add notifications, copy of notification-daemon. (Alberts Muktupāvels)
- Show GNOME Software below all categories in the Applications menu. (Dmitry
  Shachnev)
- Add audio device selection dialog, based on gnome-shell. (Alberts Muktupāvels)
- Updated translations:
  Alejandro Quiroz (es), Balázs Meskó (hu), Dmitry Shachnev (ru),
  Dušan Kazik (sk), Gábor Kelemen (hu), Gianvito Cavasoli (it),
  Γιάννης Κουτσούκος (el), Jordi Mas (ca), Josef Andersson (sv),
  Kjartan Maraas (nb), Mario Blättermann (de), Marek Černocký (cs),
  Мирослав Николић (sr, sr@latin), Pedro Albuquerque (pt), Piotr Drąg (pl),
  Rafael Fontenelle (pt_BR), Stas Solovey (ru), Tom Tryfonidis (el).

Version 3.18.1
==============
- Improved input source switching. (Alberts Muktupāvels, Sebastian Geiger)
- Updated translations:
  Gábor Kelemen (hu), Piotr Drąg (pl), Rafael Fontenelle (pt_BR),
  Stas Solovey (ru), Tom Tryfonidis (el).

Version 3.18.0
==============
- Added bluetooth applet. (Alberts Muktupāvels, Balló György)
- Added power applet. (Alberts Muktupāvels, Balló György)
- Added autostart file for nm-applet. (Balló György)
- Added autostart file for gnome-screensaver. (Alberts Muktupāvels)
- Added custom menu directories. (Balló György)
- Internationalization fixes. (Alberts Muktupāvels)
- Ported away from gnome-common. (Alberts Muktupāvels)
- Ported away from intltool, now upstream gettext is used. (Alberts Muktupāvels)
- Small fixes to user visible strings. (Dmitry Shachnev, Piotr Drąg)
- Added polkit, based on original PolicyKit-gnome. (Alberts Muktupāvels)
- desktop-background: don't show in Ctrl-Alt-Tab switcher. (Alberts Muktupāvels)
- display-config: randr 1.5 support, based on mutter. (Alberts Muktupāvels,
  Dave Airlie)
- display-config: Added underscan property, based on mutter. (Cosimo Cecchi)
- display-config: other small fixes. (Alberts Muktupāvels, Matthias Clasen,
  Rui Matos)
- input-sources: initial version for input source switching. (Alberts
  Muktupāvels, Sebastian Geiger)
- polkit: use accountsservice to fetch user icon. (Marc Deslauriers)
- sound-applet: allow to set volume more then 100%. (Alberts Muktupāvels)
- sound-applet: fix voulume changing with mouse wheel. (Alberts Muktupāvels)
- screenshot: finally screenshot taking is implemented, based on
  gnome-screensaver. (Alberts Muktupāvels, Balló György)
- Updated translations:
  Balázs Úr (hu), Daniel Mustieles (es), Dimitris Spingos (el),
  Dušan Kazik (sk), Gábor Kelemen (hu), Marek Černocký (cs), Piotr Drąg (pl),
  Yosef Or Boczko (he).

Version 3.17.2
==============
- workarounds: workaround for missing app menu button. (Alberts Muktupāvels)
- workarounds: workaround for button-layout. (Alberts Muktupāvels)
- display-config: allow loading from a system file. (Jasper St. Pierre)
- display-config: add support for overscan compensation. (Tomeu Vizoso)
- shell: don't grab keybinding if devirtualization failed. (Alberts Muktupāvels)
- Updated translations:
  Gábor Kelemen (hy), Yosef Or Boczko (he).

Version 3.17.1
==============
- No changes.

Version 3.16.1
==============
- desktop-background: fixed background flickering. (Alberts Muktupāvels)
- shell: don't grab keys without modifiers. (Alberts Muktupāvels)
- Updated translations:
  Piotr Drąg (pl).

Version 3.16.0
==============
- Add preferences and administartion sub menus under System Tools. (Alberts
  Muktupāvels)
- Hide Unity settings panels from Other menu category. (Dmitry Shachnev)
- Implemented display-config, based on mutter 3.16.0 release. (Alberts
  Muktupāvels)
- Key grabber replaced with shell that provides osd windows and monitor
  labels. (Alberts Mutkupāvels)
- sound-applet: Fix visibility of bar when orientation is the same as the
  default. (Bastien Nocera)
- Updated translations:
  Balázs Úr (hu), Chao-Hsiung Liao (zh_HK, zh_TW), Marek Černocký (cs),
  Мирослав Николић (sr, sr@latin), Piotr Drąg (pl), Rafael Ferreira (pt_BR),
  Samir Ribic (bs).

Version 3.15.2
==============
- Added key grabber. (Alberts Muktupāvels)
- Added --disable-acceleration-check to Metacity session. This adds dependency
  on unreleased gnome-session version. (Alberts Muktupāvels)
- Updated translations:
  Marek Černocký (cs), Piotr Drąg (pl), Yosef Or Boczko (he).

Version 3.14.0
==============
- Added automount manager. This is same program that used to be part of GNOME
  Settings Daemon. (Balló György)
- Updated desktop background drawing. (Alberts Muktupāvels)
- Don't use symbolic icons in sound applet. (Alberts Muktupāvels, Balló György)
- Added older version of applications.menu file to fix #722056. This
  will require new version of gnome-panel to fully fix this bug. (Alberts
  Muktupāvels)
- Added support for Hibernate, Suspend and Hybrid Sleep actions in End Session
  Dialog. (Alberts Muktupāvels, Balló György)
- Updated translations:
  Andika Triwidada (id), Daniel Raab (de), Daniel Mustieles (es),
  Gabor Kelemen (hu), Мирослав Николић (sr), Piotr Drąg (pl)

NOTE: With this version GNOME Flashback will start use GNOME-Flashback as
desktop name by setting DesktopNames to GNOME-Flashback;GNOME. In all
applications/modules that are used by GNOME Flashback and is not used by GNOME
anymore will have ShowOnlyIn set to GNOME-Flashback in .desktop files.

Version 3.10.0
==============
- Initial version.
- GNOME Flashback session. Includes sessions with Metacity and Compiz as
  window managers.
- GNOME Sound applet. This is same sound applet that used to be part of GNOME
  Control Center. Actually this is not applet, but application that provides
  icon for notification area / system tray.
- Desktop background. Application will simply draw background image to root
  window without any effects.
- End session dialog. Application will show logout, restart and shutdown dialogs
  when needed. (#710804)
- Idle monitor. Application will monitor user activity. This will fix invisible
  cursor bug.
- Updated translations:
  Andika Triwidada (id), Daniel Mustieles (es), Dmitry Shachnev (ru),
  Enrico Nicoletto (pt_BR), Marek Černocký (cs), Matej Urbančič (sl),
  Piotr Drąg (pl), Rafael Ferreira (pt_BR).

NOTE: This is first release and is intended to improve GNOME Flashback session.
Don't expect that this module will solve all problems! There is still a lot of
work to do to make this session in good state.
